CS::Math::Noise::Module::Add Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Math::Noise::Module::Add Class Reference
Combiner Modules

Noise module that outputs the sum of the two output values from two source modules. More...

`#include <cstool/noise/module/add.h>`

Inheritance diagram for CS::Math::Noise::Module::Add:

List of all members.

## Public Member Functions
| Add ()
| Constructor.
virtual int | GetSourceModuleCount () const
| Returns the number of source modules required by this noise module.
virtual double | GetValue (double x, double y, double z) const
| Generates an output value given the coordinates of the specified input value.

## Detailed Description

Noise module that outputs the sum of the two output values from two source modules.

This noise module requires two source modules.

Definition at line 49 of file add.h.

## Constructor & Destructor Documentation

CS::Math::Noise::Module::Add::Add | ( |  | ) |

Constructor.

## Member Function Documentation

virtual int CS::Math::Noise::Module::Add::GetSourceModuleCount | ( |  | ) | const`[inline, virtual]`

Returns the number of source modules required by this noise module.

Returns:
  The number of source modules required by this noise module.

Implements CS::Math::Noise::Module::Module.

Definition at line 57 of file add.h.

virtual double CS::Math::Noise::Module::Add::GetValue | ( | double | x,
|  | double | y,
|  | double | z
| ) |  | const`[virtual]`

Generates an output value given the coordinates of the specified input value.

Parameters:

  x | The x coordinate of the input value.
  y | The y coordinate of the input value.
  z | The z coordinate of the input value.

Returns:
  The output value.

Precondition:
  All source modules required by this noise module have been passed to the SetSourceModule() method.

Before an application can call this method, it must first connect all required source modules via the SetSourceModule() method. If these source modules are not connected to this noise module, this method raises a debug assertion.

To determine the number of source modules required by this noise module, call the GetSourceModuleCount() method.

Implements CS::Math::Noise::Module::Module.

The documentation for this class was generated from the following file:

- cstool/noise/module/add.h